#!/bin/bash

#
# $1 - actual value
# $2 - expected value
#
assertEqualNumbers() {
    if [ $1 -ne $2 ]
    then
    	echo 'fail: file '${BASH_SOURCE[1]}' function '${FUNCNAME[1]}' line '${BASH_LINENO}' expected ['${2}'] got ['${1}']'
    fi
}
#
# $1 - actual value
# $2 - expected value
#
assertEqualStrings() {
    if [ "$1" != "$2" ]
    then
    	echo 'fail: file '${BASH_SOURCE[1]}' function '${FUNCNAME[1]}' line '${BASH_LINENO}' expected ['${2}'] got ['${1}']'
    fi
}
#
# $1 - path
#
assertFile() {
    if [ ! -f "$1" ]
    then
    	echo 'fail: file '${BASH_SOURCE[1]}' function '${FUNCNAME[1]}' line '${BASH_LINENO}' path ['${1}'] is not a file'
    fi
}
#
# $1 - path
#
assertNoFile() {
    if [ -f "$1" ]
    then
    	echo 'fail: file '${BASH_SOURCE[1]}' function '${FUNCNAME[1]}' line '${BASH_LINENO}' file exists ['${1}']'
    fi
}
#
# $1 - path
#
assertDir() {
    if [ ! -d "$1" ]
    then
    	echo 'fail: file '${BASH_SOURCE[1]}' function '${FUNCNAME[1]}' line '${BASH_LINENO}' path ['${1}'] is not a dir'
    fi
}
#
# $1 - path
#
assertNoDir() {
    if [ -d "$1" ]
    then
    	echo 'fail: file '${BASH_SOURCE[1]}' function '${FUNCNAME[1]}' line '${BASH_LINENO}' dir exists ['${1}']'
    fi
}
